\chapter{Introduction}
\label{introduction}

We are in the era of online businesses, where it is not possible to see or touch a product before buying it. Thus, consensus is based on reviews. They can express appreciation, enthusiasm or criticism towards some particular business. Particularly in the hotel domain, it has become very common to look at reviews before choosing one hotel instead of another.\\
Platforms based on reviews, such as TripAdvisor\footnote{\href{www.tripadvisor.com}{www.tripadvisor.com}}, offer the opportunity to review a business both with stars or actual text paragraphs describing user perception of the stay. Unfortunately, many users are not consistent at giving stars; in fact, there might be reviews with exclusively positive words but only three stars out of five. In this context, Poggio \citeal{Poggio2017} created the system \toknow, that does not evaluate hotels by number of stars, but by calculating the positiveness of reviews and reacts according to search terms given by users.\\ 
With the help of ToKnow, a user that considers the quality of the breakfast and of the location to be the discriminant for choosing a hotel can search for \emphq{good breakfast and fantastic location}. The system will return a list of ranked hotels according to the query, then for each hotel it is possible to access its list of reviews, which are ordered by relevance and positiveness (\autoref{fig:toknow1}).
\begin{figure}
	\includegraphics[width=\textwidth]{toknow1.png}
	\caption{Results given by the ToKnow system while looking for \textit{good breakfast and fantastic location}.}
	\label{fig:toknow1}
\end{figure}
However, there are many ways to express concepts such as \emphq{good breakfast}; one person might say \emphq{nice}, another one \emphq{lovely}. These differences in speech depend on age, country, mother tongue and many other factors.
Our work aims to improve the existing ToKnow system allowing related-adjective search. In this way, the example user from before with the same search terms will also obtain all the reviews mentioning \emphq{nice breakfast}, \emphq{great breakfast}, \emphq{lovely breakfast}, \emphq{excellent location}, \emphq{perfect location}, etc.\\
This thesis handles the problem of finding similarity between adjectives by heuristically trying different approaches. We will discuss lexical approaches (\autoref{syns:lexical}) and vector oriented approaches (\autoref{syns:wordvectors}). In these second ones, we will also consider the context of the feature to which an adjective refers, such as \emphq{breakfast}. We will also show our proposals to expand queries in \autoref{approach:rank}. In \autoref{evaluation} we will conduct extensive quantitative and qualitative tests on the retrieved data.